<?php get_header(); ?>


<div id="contentwrap" class="clearfix">
	
	<?php get_sidebar(); ?>
	
	<div id="right">
		
		<?php if (have_posts()) : ?>

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>				
		<h2 class="pagetitle">Архивы рубрики '<?php echo single_cat_title(); ?>'</h2>
		
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle">Архивы за день <?php the_time('F jS, Y'); ?></h2>
		
	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle">Архивы за месяц <?php the_time('F, Y'); ?></h2>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle">Архивы за год <?php the_time('Y'); ?></h2>
		
	  <?php /* If this is a search */ } elseif (is_search()) { ?>
		<h2 class="pagetitle">Результаты поиска</h2>
		
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle">Архивы автора</h2>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle">Архивы блога</h2>

		<?php } ?>


		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Предыдущие записи') ?></div>
			<div class="alignright"><?php previous_posts_link('Следующие записи &raquo;') ?></div>
		</div>

		<?php while (have_posts()) : the_post(); ?>
		<div class="post">
			<div class="posthead"><div class="float-right"><a href="#"><?php the_time('F jS, Y') ?></a></div><a href="<?php the_permalink() ?>" rel="bookmark" title="Постоянная ссылка на <?php the_title(); ?>"><?php the_title(); ?></a></div>
			<div style="position: relative; padding: 1px;"><?php the_content('Читать далее &raquo;'); ?></div>
			<div class="clearfix">
				<div class="posthead float-right">Опубликовано в рубрике <?php the_category(', ') ?> <strong>|</strong> <?php edit_post_link('Редактировать','','<strong>|</strong>'); ?>  <?php comments_popup_link('Комментариев нет &#187;', '1 комментарий &#187;', '% комментариев &#187;'); ?></div>
			</div>
		</div>
		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Предыдущие записи') ?></div>
			<div class="alignright"><?php previous_posts_link('Следующие записи &raquo;') ?></div>
		</div>
		
	<?php else : ?>

		<h2 class="center">Не найдено</h2>
		<p class="center">Извините, но по Вашему запросу ничего не было найдено.</p>

	<?php endif; ?>
	
	</div>
</div>

<?php get_footer(); ?>
